<?xml version="1.0" encoding="UTF-8"?>

<!--
  This is the meta file to declare user's POJO as "aspectized" under
  JBossCacheAop. User will need this file when:
  1. Run off-line precompier, aopc, to generate the "aspectized" class
  2. Run on-line with a special aop class loader.
-->
<aop>
  <!--
    This is JBossAop way of declaring every field in Address has a hook
    for both get and set.
  -->
  <prepare expr="field(* examples.Address->*)" />

  <!--
     We do the same for the Course class. 
  -->
  <prepare expr="field(* $instanceof{examples.Course}->*)" />

  <!--
     We also do the same for the Person class. 
     Note there is no need to declare Student because of instanceof pointcut 
  -->
  <prepare expr="field(* $instanceof{examples.Person}->*)" />

  

</aop>
